Bug 485034 - Plymouth hangs on shutdown
Plymouth hangs on shutdown
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-11 04:43 EST by simd
Modified: 2009-12-18 02:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:53:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Various error logs for tracing (5.38 KB, application/zip)
2009-03-02 11:06 EST, simd
no flags Details

  None (edit)
Description simd 2009-02-11 04:43:15 EST
Description of problem:
Occasionally I am getting a kernel failure on bootup, which appears to be caused by some sort of problem with the firewire subsystem (kerneloops sent).

The system however boots. 

However a side effect is that the shutdown scripts hang - i.e. my system never shuts, except by manually pushing reset.

I have traced this to into /etc/rc.d/rc and the system appears to be hanging on the call hangs when the function 'update_bootstage' is called for subsystem S00killall, which appears to be calling 'plymouth --update "S00killall', which never exits.

Version-Release number of selected component (if applicable):
Fedora 10 

How reproducible:
Difficult. 
Only occurs when there has been a kernel failure on bootup - this isn't consistent happens maybe once per week (is probably hardware relate somehow).
Comment 1 Charlie Brej 2009-02-11 07:01:13 EST
Thanks for the report. 

Plymouthd should be dead by that point so connections to the server should fail and plymouth then quits. 

Next time you have that weird boot could you see if there is a process called "plymouthd" still running. 

Can you manually run (as root) '/usr/bin/plymouth --update="S00killall"' and see if that stalls. 

If not, could you change the line in /etc/rc.d/init.d/functions:update_boot_stage
from
/usr/bin/plymouth --update="$1"
to
strace /usr/bin/plymouth --update="$1"; echo Completed /usr/bin/plymouth --update="$1" 
and see if that exits and what it gets stuck on. You may need to "yum install strace" if you don't already have it.

Either plymouthd is still alive, accepting connections and stalling, something is keeping the socket alive.
Comment 2 simd 2009-03-02 11:06:38 EST
Created attachment 333755 [details]
Various error logs for tracing
Comment 3 simd 2009-03-02 11:09:53 EST
Hi,
EVENTUALLY the kernel crash has repeated itself and I have managed to get the trace output requested. It's attached in the log. Also there is an extract from dmesg, showing the nature of the kernel crash.
Yes plymouth was still running after boot, and I tried running it as suggested:
strace /usr/bin/plymouth --update="S00killall". The result is in the log.

Hope that helps!
Comment 4 Bug Zapper 2009-11-18 06:05:20 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:53:27 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.